| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
OgreBites::ConfigDialog Class Reference

`#include <OgreConfigDialogImp.h>`

Inheritance diagram for OgreBites::ConfigDialog:
[legend]

## Public Member Functions
| ConfigDialog ()
virtual | ~ConfigDialog ()
virtual bool | display ()
| Displays the dialog. More...

## Constructor & Destructor Documentation

## ◆ ConfigDialog()

OgreBites::ConfigDialog::ConfigDialog | ( |  | ) |

## ◆ ~ConfigDialog()

virtual OgreBites::ConfigDialog::~ConfigDialog | ( |  | ) |
| virtual

Reimplemented from Ogre::ConfigDialog.

## Member Function Documentation

## ◆ display()

virtual bool OgreBites::ConfigDialog::display | ( |  | ) |
| virtual

Displays the dialog.

Remarks
  This method displays the dialog and from then on the dialog interacts with the user independently. The dialog will be calling the relevant OGRE rendering systems to query them for options and to set the options the user selects. The method returns when the user closes the dialog.

Returns
  If the user accepted the dialog, true is returned.

  If the user cancelled the dialog (indicating the application should probably terminate), false is returned.

See also
  RenderSystem

Implements Ogre::ConfigDialog.

The documentation for this class was generated from the following file:

- OgreConfigDialogImp.h